import discord
from discord.ext import commands
from dotenv import load_dotenv
import os

from cogs.mod import Mod

load_dotenv()

class Vaius(commands.Bot):
    async def on_ready(self):
        print(f"Logged in as {self.user.name}")
        await self.add_cog(Mod(self))

    async def on_message(self, message: discord.Message):
        if message.channel.id != 1363685774800978074:
            return
        ctx = await self.get_context(message)
        if ctx.valid:
            await self.invoke(ctx)

client = Vaius(command_prefix="v", user_bot=True, chunk_guilds_at_startup=False)

@client.command()
async def ping(ctx):
    await ctx.reply("Pong!")

client.run(os.getenv("TOKEN"))
